<template>
  <section class="input-panel" @change="updateInputPanel">

    <InputSwitch v-model="checked" :activeLabels="true">
      <template slot="unchecked">
        <div class="input-switch__label">
          EUR
        </div>
      </template>
      <template slot="checked">
        <div class="input-switch__label">
          USD
        </div>
      </template>
    </InputSwitch>

    <InputValue
      v-model.number="account.value"
      label="Valor"
      :symbol="currency.symbol"
    />

    <InputRange
      :max="20"
      :min="10"
      id="tip"
      label="Gorjeta"
      v-model.number="account.tipPercent"
    >

      <template slot="label" slot-scope="{ label, value }">
        <p class="input-range__label">
          {{label}}:

          <span class="input-range__value">
            {{value}}%
          </span>

        </p>
      </template>

    </InputRange>

    <InputRange
      :max="16"
      :min="2"
      id="personQuantity"
      label="Pessoas"
      v-model.number="account.personQuantity"
    />

  </section>
</template>

<script>
import InputRange from './InputRange.vue';
import InputSwitch from './InputSwitch.vue';
import InputValue from './InputValue.vue';

export default {
  name: 'InputPanel',
  components: {
    InputRange,
    InputSwitch,
    InputValue,
  },
  props: {
    account: { type: Object, required: true },
    currency: { type: Object, required: true },
    switchState: { type: Boolean, default: true }
  },
  data() {
    return {
      checked: true,
    }
  },
  methods: {
    updateInputPanel() {
      this.$emit('update', {
        account: this.account,
        currency: this.currency,
        switchState: this.checked
      });
    },
  },
  mounted() {
    this.checked = this.switchState;
  }
}
</script>

<style lang="scss" scoped>
  .input-panel {
    display: flex;
    flex-direction: column;
    gap: 20px;
    height: 100%;
  }
</style>
